# named

abstract fun named(name: String, configAction: Action<in T>)

Applies the given action to the given item, when the item is required.

The given action is invoked to configure the item when the item is required. It is called after any actions provided to beforeEach and create.

#### Parameters

name

The name.

configAction

An action that configures the item. The action is executed when the item is required.

abstract fun named(name: String, ruleSource: Class<out RuleSource>)

Applies the given rule source class to the given item, when the item is required.

Rules are applied in the scope of the item therefore:

- subject by-type and by-path bindings are of inner scope
- subject can be bound by type to a child of the scope in which the rule is applied
- input by-path bindings are of inner scope
- input by-type bindings are of outer scope

#### Parameters

name

The name.

ruleSource

A rule source class.